Create a new floor
curl --request POST \
--url https://app.planpoint.io/api/floors \
--header 'Authorization: <api-key>'import requests
url = "https://app.planpoint.io/api/floors"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.planpoint.io/api/floors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"project": "<string>",
"units": [
"objectId"
],
"name": "<string>",
"position": 123,
"floorplanUrl": "<string>",
"path": "<string>",
"alternativePaths": [
"<string>"
]
}Floors
Create Floor
Create a new floor
POST
/
floors
Create a new floor
Authorizations
Query Parameters
Id of the floor's project
Name of the floor
Position or order of the floor
Response
Successful operation
Unique identifier for the floor
Reference to the associated project
Reference to associated units
Name of the floor
Position or order of the floor
Floorplan image url
Floor drawing path
Alternative paths for the floor
⌘I